# Generated by go2rpm 1
# Require an Azure client
%bcond_with check

# https://github.com/Azure/azure-service-bus-go
%global goipath         github.com/Azure/azure-service-bus-go
Version:                0.9.1

%gometa

%global common_description %{expand:
Microsoft Azure Service Bus is a reliable cloud messaging service (MaaS) which
simplifies enterprise cloud messaging. It enables developers to build scalable
cloud solutions and implement complex messaging workflows over an efficient
binary protocol called AMQP.

This library provides a simple interface for sending, receiving and managing
Service Bus entities such as Queues, Topics and Subscriptions.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md changelog.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        Golang library for Azure Service Bus

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/Azure/azure-amqp-common-go)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/auth)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/cbs)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/conn)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/rpc)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/sas)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/uuid)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/resources/mgmt/2017-05-10/resources)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/servicebus/mgmt/2017-04-01/servicebus)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/adal)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/date)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/to)
BuildRequires:  golang(github.com/devigned/tab)
BuildRequires:  golang(github.com/joho/godotenv)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/stretchr/testify/suite)
BuildRequires:  golang(golang.org/x/net/websocket)
BuildRequires:  golang(pack.ag/amqp)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/servicebus/mgmt/2015-08-01/servicebus)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
find . -name "*.go" -exec sed -i "s|github.com/Azure/azure-amqp-common-go/v2|github.com/Azure/azure-amqp-common-go|" "{}" +;

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Aug 20 21:30:54 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-1
- Initial package
